import { get, post } from './base'
import { AxiosPromise } from 'axios'

/**
 * 请求验证码
 * @param phone 手机号
 * @param type 类型 0国内 1国外
 */

export function sendsms(phone: string, type?: number):  Promise<AxiosPromise>{
    return post('SendSms',{phone, type})
}


// 下面是示例接口 可以删除

/**
 * 请求用户信息
 */

export function getinfo(): Promise<AxiosPromise>{
    return get("a")
}

/**
 * 提交修改之后的用户信息
 * @param data 
 * 
 */

export function seninfo(data: object): Promise<AxiosPromise>{
    return post("b",data)
}

